library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity tb is	 
end tb;


architecture tb of tb is
signal clk: std_logic:= '0';
signal req, gnt, ack: std_logic;
begin
    clk <= not clk after 10 ns;
    
    UUT: entity work.psl_teste(psl_teste) port map (
       clk    => clk,
       gnt    => gnt,
       ack    => ack,
       req    => req
    );

-- psl default clock is falling_edge(clk); 
-- psl property P1 is always ({req; gnt} |=> {ack});
-- psl property P2 is never (gnt and ack);
-- psl assert P1; 
-- psl assert P2;

end tb;